Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Blöcke in verschienen Dateien

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Blöcke in verschienen Dateien (513 mal gelesen)
luna1970
Mitglied



Sehen Sie sich das Profil von luna1970 an!   Senden Sie eine Private Message an luna1970  Schreiben Sie einen Gästebucheintrag für luna1970

Beiträge: 120
Registriert: 02.02.2010

AutoCad 2014

erstellt am: 05. Mrz. 2015 08:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Guten Morgen zusammen, ich arbeite mit AutoCAD 2010 und habe ca. 100 Zeichnungen zu erstellen, bei denen oftmals die gleichen Blöcke (von Namen und dem Aufbau her) vorhanden sind.
In der Originalzeichnung sind die einzelnen Blöcke verschiedenen Layern, mit unterschiedlicher Farbe,  zugeordnet. in der bearbeiteten Autocadzeichnung sollen diese dem Layer "0" zugeordnet werden und obendrein alle unschuldig weiß sein.
Mit Skripten (Lisp(?)) kenne ich mich nicht so aus und wenn es bei ACAD in die Tiefe geht, brauche ich halt Unterstützung.
Wie kann ich diese Aufgabe automatisieren?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 05. Mrz. 2015 09:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für luna1970 10 Unities + Antwort hilfreich

Zieh dir folgendes Lisp in deine ACAD-Zeichnung , ruf den Befehl BLUNI auf .. und alle Blockelemente haben die Farbe "Von BLOCK"  und die Blockreferenzen liegen auf Layer "0" und sind "weiß"

(defun C:BLUNI()
  (vl-load-com)
  (vlax-for B (vla-get-blocks(vla-get-activedocument(vlax-get-acad-object)))   
    (if(=(vla-get-islayout B):vlax-false)
      (vlax-for I B
        (if (=(strcase(vla-get-objectname I))"ACDBBLOCKREFERENCE")
          (progn
            (vla-put-color I 7)
            (vla-put-layer I "0")
          )
          (vla-put-color I 0)
        )
      )           
      (vlax-for I B
        (if (=(strcase(vla-get-objectname I))"ACDBBLOCKREFERENCE")
          (progn
            (vla-put-color I 7)
            (vla-put-layer I "0")
          ) 
        ) 
      )
    )   
  )
)

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

luna1970
Mitglied



Sehen Sie sich das Profil von luna1970 an!   Senden Sie eine Private Message an luna1970  Schreiben Sie einen Gästebucheintrag für luna1970

Beiträge: 120
Registriert: 02.02.2010

AutoCad 2014

erstellt am: 05. Mrz. 2015 10:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Lisp.JPG

 
Danke, CADmium, das ist ein guter Anfang.
Habe das Skript ausprobiert.
Da sind am Block Zahlen vorhanden (also es ist beispielsweise eine Mehrstockklemme angegeben und bi dieser Klemme alphanumerisch folgende Angaben vorhanden: Brücke links (BL); Brücke rechts (BR) und die jeweiligen Anschlussbezeichnungen (A,B,C).
Diese Anschlussbezeichnungen werden jedoch durch das Skript nicht abgeändert. Wie kann ich das bewerkstelligen?

(siehe Anhang)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 05. Mrz. 2015 11:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für luna1970 10 Unities + Antwort hilfreich

Schau dir mal den Befehl SETBYLAYER an (und entsprechend SetByLayerMode).

Ich denke ja NICHT das du den Objekten wirklich die Farbe Weiss(7) zugeordnet haben wolltest,
aber so war deine Aufgabenstellung beschrieben. Ich hoffe der oben genannte Befehl hilft dir 'dennoch'.

PS: Benenne deine Anhänge bitte eindeutiger, das nächste mit hängst du wieder ein Lisp.jpg an und
überschreibst damit dieses hier! Du hast als CAD.de User nur ein Uploadverzeichnis (siehe Profil)
und dort wird ohne Rückfrage überschrieben.Das naäachst eml Nummerieren und Datum dazu oder so.. 

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz